fontconfig: Branch 'master'

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



 test/run-test.sh |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

New commits:
commit c00a51f4c8ea7d548a069bc5e94a1aceabf5249a
Author: Ben Wagner <bungeman@xxxxxxxxxxxx>
Date:   Thu Dec 10 14:00:40 2020 -0500

    Portable trap conditions in run-test.sh.
    
    Posix says:
        The condition can be EXIT, 0 (equivalent to EXIT), or a signal
        specified using a symbolic name, without the SIG prefix, as listed
        in the tables of signal names in the <signal.h> header defined in
        the Base Definitions volume of IEEE Std 1003.1-2001, Chapter 13,
        Headers; for example, HUP, INT, QUIT, TERM. Implementations may
        permit names with the SIG prefix or ignore case in signal names as
        an extension.
    
    Remove 'SIG' from trap conditions in run-test.sh for portability.

diff --git a/test/run-test.sh b/test/run-test.sh
index a46e9a7..34d9fc0 100644
--- a/test/run-test.sh
+++ b/test/run-test.sh
@@ -48,13 +48,13 @@ TEST=""
 
 clean_exit() {
     rc=$?
-    trap - SIGINT SIGTERM SIGABRT EXIT
+    trap - INT TERM ABRT EXIT
     if [ "x$TEST" != "x" ]; then
         echo "Aborting from '$TEST' with the exit code $rc"
     fi
     exit $rc
 }
-trap clean_exit SIGINT SIGTERM SIGABRT EXIT
+trap clean_exit INT TERM ABRT EXIT
 
 check () {
     {
_______________________________________________
Fontconfig mailing list
Fontconfig@xxxxxxxxxxxxxxxxxxxxx
https://lists.freedesktop.org/mailman/listinfo/fontconfig



[Index of Archives]     [Fedora Fonts]     [Fedora Users]     [Fedora Cloud]     [Kernel]     [Fedora Packaging]     [Fedora Desktop]     [PAM]     [Gimp Graphics Editor]     [Yosemite News]

  Powered by Linux